Module hal manquant


#1

Hello,

apres un apt-get install hal

Setting up hal (0.4.7-2) ...
Stopping Hardware abstraction layer: hald.
Stopping system message bus: dbus-1.
Starting system message bus: dbus-1.
Starting Hardware abstraction layer: 01:25:23.984 [W] hald.c:302: Your kernel does not support capabilities; some features will not be available.
hald.

Bon apparemment il me manque un module au niveau du kernel…
Ma question est lequel et ou!?!?!
:confused:


#2

[quote]
Setting up hal (0.4.7-2) … [/quote]
Méfies-toi, HAL c’est le nom de l’ordinateur de bord du vaisseau spatial de 2001 L’odyssée de l’espace…
On n’a plus eu de nouvelles de l’équipage … Mais bon, l’ordinateur, lui se porte bien :open_mouth:

Blague mise à part, je m’apprêtait à poser la même question. J’ai le même message chez moi et je vois pas ce que c’est …


#3

essaion@Calcifer:~$ aptitude show hal Paquet : hal État: installé Automatiquement installé: oui Version : 0.4.7-2 [...] essaion@Calcifer:~$ ps -A | grep hal 3414 ? 00:00:28 hald essaion@Calcifer:~$

Bah ça c’est ballot, tout bleu-bite que je sois, chez moi ça tourne, on dirait. Vous avez quelle version du noyau, messieurs ? Ici, c’est la 2.6.10.

Tiens, je viens d’installer hal-device-manager, et curieusement, mon onduleur n’apparaît pas dans les périphériques USB… Pas plus que dans lsusb, d’ailleurs. Bon, c’est assez comme ça, je raccroche… Bon week-end à tous !


#4

surtout, en plus de la version de noyau, si vous l’avez compilé, vous avez dû oublier une option (mais je ne l’ai pas trouvée dans mon 2.6.10).


#5

Je suis en 2.6.10 aussi…
mais je ne pense pas avoir vire cette option pr la bonne raison ke je ne vire pas une option ke je ne connais pas

donc ben voila quoi je sais pas trop koi faire : /


#6

En 2.6.8 ET en 2.6.10 ca me mets le message d’erreur …
Et sur 2 machines différentes.
Mais bon, j’ai l’habitude de virer un max de trucs du noyau et il est possible que effectivement j’en aie trop enlevé … Le problème est de retrouver quoi…
Je suis en train d’essayer à ne garder que ce qui est vraiment utilisé par le matos …
Pour l’instant, j’en suis à environ 9 MO de modules et environ 1 MO de kernel, mais peut encore mieux faire :astonished:

Et quelqu’un sait à quoi ca sert, hald ?
Ca me mets le fameux message d’erreur au boot mais apparement, ca n’enlève aucune fonctionnalité, c’est pour ça que je ne m’en suis pas encore trop inquiété …


#7

ouais c’est pareil j’en vire un max aussi je suis peut etre aller un peu vite en besogne!


#8

Un bon truc serait ptet de conserver les vieux ‘.config’.
Ainsi, en mettant côte-à-côte le nouveau et le vieux, on comparerait plus facilement ce que l’on vient de changer.
En ts cas, je suis entrain aussi de “reprendre” mon noyau et je pratique de cette façon .
Pour l’instant, je n’ai pas d’erreurs mais j’ai quand m^gardé les vieux, renommé en ‘config_date’.


#9

[quote=“Ricardo”]Un bon truc serait ptet de conserver les vieux ‘.config’.
Ainsi, en mettant côte-à-côte le nouveau et le vieux, on comparerait plus facilement ce que l’on vient de changer.
En ts cas, je suis entrain aussi de “reprendre” mon noyau et je pratique de cette façon .
Pour l’instant, je n’ai pas d’erreurs mais j’ai quand m^gardé les vieux, renommé en ‘config_date’.[/quote]

ben ouais mais je me suis pas amuse a faire d’historik de mes config, et juske la j’avais pas fait gaffe ke j’avais ce pb…
:unamused:


#10
emeraude:/home/console# apt-cache showpkg hal
Package: hal
Versions:
0.4.7-2(/var/lib/apt/lists/ftp.monash.edu.au_pub_linux_debian_dists_testing_main_binary-i386_Packages)
(/var/lib/apt/lists/ftp.monash.edu.au_pub_linux_debian_dists_unstable_main_binary-i386_Packages)
(/var/lib/apt/lists/ftp.nerim.net_debian_dists_testing_main_binary-i386_Packages)
(/var/lib/dpkg/status)

Reverse Depends:
  pmount,hal
  hal-device-manager,hal 0.2.98-1
  hal-device-manager,hal
  gnome-volume-manager,hal 0.4.1
Dependencies:
0.4.7-2 - dbus-1 (2 0.23) dbus-glib-1 (2 0.23) libc6 (2 2.3.2.ds1-4) libcap1 (0 (null)) libexpat1 (2 1.95.8) libglib2.0-0 (2 2.6.0) libhal-storage0 (0 (null)) libhal0 (2 0.4.0) libpopt0 (2 1.7) adduser (0 (null)) pciutils (0 (null)) usbutils (0 (null)) udev (0 (null)) hal-device-manager (0 (null)) gnome-volume-manager (3 0.9.10) pmount (3 0.4.2)
Provides:
0.4.7-2 -
Reverse Provides:
emeraude:/home/console# aptitude show hal
Paquet : hal
État: installé
Automatiquement installé: non
Version : 0.4.7-2
Priorité : optionnel
Section : admin
Responsable : Sjoerd Simons <sjoerd@debian.org>
Taille décompressée : 516k
Dépend: dbus-1 (>= 0.23), dbus-glib-1 (>= 0.23), libc6 (>= 2.3.2.ds1-4), libcap1, libexpat1 (>= 1.95.8), libglib2.0-0 (>= 2.6.0),
        libhal-storage0, libhal0 (>= 0.4.0), libpopt0 (>= 1.7), adduser, pciutils, usbutils, udev
Suggère: hal-device-manager
Est en conflit: gnome-volume-manager (< 0.9.10), pmount (< 0.4.2)
Description : Hardware Abstraction Layer
 HAL provides an abstract view on hardware.

 This abstraction layer is simply an interface that makes it possible to add support for new devices and new ways of connecting devices to
 the computer, without modifying every application that uses the device. It maintains a list of devices that currently exist, and can provide
 information about those upon request.

Ca lisse l’interaction matèrielle.
Sinon, si ca n’a aucun effet sensible, ben c’est pas grave… Ca disparaitra lors du passage à un nouveau noyau…


#11

Mouais mais bon tu sais que je tente encore et toujours d’installer ma webcam…
Tu m’avais conseille d’installer hotplug (ok), udev (ok) et hal (aaah pb!)


#12

Dc ca veut dire que tu n’as toujours rien avec ta webcam ?


#13

et ouais :confused: